#include <iostream>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <stdlib.h>
#include <main.h>

using namespace std;
int main(void)
{
  int pid;
  int theInt=42;

  pid = fork();

  // Error ocurred
  if (pid < 0) {
    cerr << "main: Fork failed!" << endl;
    exit(-1);
  }

  // child process
  else if (pid == 0) {
    cout << "theInt is: " << theInt << endl;
    execlp("/bin/ls","ls",NULL);
  }

  // parent process wait for child to terminate
  else {
    wait(NULL);
    cout << "Child complete" << endl;
    exit(0);
  }

  return 1;
}
